#!/bin/bash
if [ $# -lt 1 ]; then 
  echo -e "USAGE $0 <wrfoutfilenamewithpath> [<datestring>]"
  exit 5
fi

. ./pltprogs/CONSTANTS.bash
wrfplt='./output'
rm -rf $wrfplt
mkdir  $wrfplt
rm -f "$wrfplt"/* 
cd $wrfplt/
ln -s ../$1 wrfout.file
cp ../pltprogs/* .
lst=`ls  ./*`
./getrain.bash wrfout.file "$2"
for item in `ls *.png|sed 's/\.png//g'`; do
        $convert $item.png $item.gif
done

#now make the gif movie, create the data file 
${gifs} -O2  -l --colors 256 --delay 50 RAIN.???.out.gif > RAIN.movie.gif

rm -f  $lst wrfout.file


